@font-face {
    font-family: Poppins-Regular;
    src: url(../fonts/poppins/Poppins-Regular.ttf);
    font-display: swap;
}

@font-face {
    font-family: Poppins-Medium;
    src: url(../fonts/poppins/Poppins-Medium.ttf);
    font-display: swap;
}

@font-face {
    font-family: Poppins-Bold;
    src: url(../fonts/poppins/Poppins-Bold.ttf);
    font-display: swap;
}

@font-face {
    font-family: Poppins-SemiBold;
    src: url(../fonts/poppins/Poppins-SemiBold.ttf);
    font-display: swap;
}



body,
html {
    height: 100%;
    font-family: "SF Pro",-apple-system, Poppins-Regular, system-ui,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji", sans-serif;
}

[data-bs-theme=light] a {
    font-family: inherit;
    /* font-size: inherit; */
    line-height: 1.7;
    color: #666;
    margin: 0;
    transition: all .4s;
    -webkit-transition: all .4s;
    -o-transition: all .4s;
    -moz-transition: all .4s
}

[data-bs-theme=dark] a {
    font-family: inherit;
    /* font-size: inherit; */
    line-height: 1.7;
    color: #a7a7a7;
    margin: 0;
    transition: all .4s;
    -webkit-transition: all .4s;
    -o-transition: all .4s;
    -moz-transition: all .4s
}
[data-bs-theme=dark] a.dropdown-item {
    color: #fff;
}
[data-bs-theme=light] a.dropdown-item {
    color: #000;
}

a:focus {
    outline: none !important
}

a:hover {
    text-decoration: underline;
}

p {
    font-family: inherit;
    line-height: 1.7;
    margin: 0
}

label {
    margin-bottom: 0rem;
    font-weight: 600;
}

.login-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 15px;
    width: 100%;
    min-height: 100vh;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 15px;
}
.login-wrapper {
    max-width: 420px;
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
    padding: 33px 55px 33px;
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .1);
    -moz-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .1);
    -webkit-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .1);
    -o-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .1);
    -ms-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .1);
}
.login-form-title {
    display: block;
    font-weight: bold;
    font-size: 2rem;
    /* color: #333; */
    line-height: 1.2;
    text-align: center;
}
.login-form-subtitle {
    font-size: 0.8rem;
    font-style: italic;
    text-align: center;
}
.error-message {
    font-size: small;
    color: red;
}
/* input:read-only {
    background-color: #e9ecef;
} */
.form-control:focus, .form-select:focus, .header-input:focus, .select2-container--default.select2-container--focus .select2-selection--multiple {
    box-shadow: 0 0 0 0.10rem var(--bs-purple) !important;
}
.tooltip {
    opacity: 1;
}
.fc-scroller {
    overflow: auto !important;
}
span.select2-selection.select2-selection--multiple{
    padding: 3px;
    border: 1px solid #ced4da;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    line-height: 20px;
    min-height: 31px;
}
.select2-container--default.select2-container--focus .select2-selection--multiple{
    box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
    border: 1px solid #ced4da !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice{
    margin-top: 0px;
}
.select2.select2-container.select2-container--default {
    width: 100% !important;
}
textarea::placeholder {
    color: #212529;
    font-size: .875rem;
    font-family: inherit;
}

@media (max-width: 576px) {
    /* html { */
    #calendar {
        font-size: 2.666666666666667vw;
    }
    .login-wrapper {
        top: 1rem;
        position: absolute;
    }
    .form-label {
        margin-bottom: 0rem;
        margin-top: 0.5rem;
    }
}
@media (max-width: 768px) {
    .login-wrapper {
        top: 1rem;
        position: absolute;
    }
    .hidden-xs {
        display: none !important;
    }
}
@media (min-width: 768px) {
    .visible-xs {
        display: none !important;
    }
}
.toast {
    top: 5rem;
    right: 2rem;
    z-index: 1000;
    width: 20rem;
}
.vertical-center {
    margin: 0;
    position: relative;
    top: 27%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
  }

.fc-toolbar-title {
    text-align: center;
}

/* THEME - START */
.bd-navbar, .bd-navbar .offcanvas-lg {
    /* background-color: rgb(46, 204, 113) !important; */
    background-color:#e8ff00 !important;
    background-image: none !important; /* linear-gradient(to bottom, rgba(var(--bd-violet-rgb), 1), rgba(var(--bd-violet-rgb), 0.95)) */
}
a:hover {
    color: rgba(173, 204, 46, 1); /* 6a7dfe */
}
.form-control:focus, .form-select:focus, .header-input:focus, .select2-container--default.select2-container--focus .select2-selection--multiple {
    /*box-shadow: 0 0 0 0.1rem rgb(46, 204, 113) !important;  var(--bs-purple) */
    box-shadow: 0 0 0 0.1rem #e8ff00 !important; /* var(--bs-purple) */
}
.dropdown-item:focus, .dropdown-item:hover {
    /* background-color: rgba(46, 204, 113, 0.2); */
    background-color: rgba(232, 255, 0, 0.2);
}
.bd-navbar .navbar-toggler,
.bd-navbar .nav-link,
.navbar-brand,
.navbar-brand:focus,
.navbar-brand:hover {
    color: black !important;
}
[data-bs-theme=light] nav button.dropdown-item {
    color: black !important;
}
[data-bs-theme=dark] nav button.dropdown-item {
    color: white !important;
}
.form-check-input:checked {
    background-color: rgba(173, 204, 46, 1) !important;
    border-color: rgba(173, 204, 46, 1) !important;
}
/* THEME - END */

.cookieBanner {
    position: fixed;
    bottom: 0px;
    width: 100%;
    background: white;
    z-index: 5000;
    font-size: 1rem;
    box-shadow: 0 0 18px rgba(0,0,0,.2);
}
.ck-editor__editable_inline {
    min-height: 200px;
}
#selectedUserTable tbody tr, #addUserTable tbody tr, .clickable-row {
    cursor: pointer;
}
.bg-reactive {
    background-color: #e8ff00 !important;
}
.text-reactive, .link, .nav-link {
    color: #e8ff00;
}
.btn-reactive {
    background: linear-gradient(280.75deg, #e8ff00 0%, #e2f61d 94.81%);
    border-color: #e8ff00 !important;
    color: black !important;
    box-shadow: 0 2px 2px 0 rgb(0 0 0 / 20%);
}
.btn-reactive:hover {
    background: linear-gradient(280.75deg, #fff707 0%, #e2f61d 94.81%);
}
.dialog {
    background-color: #fff;
    border-color: rgba(0, 0, 0, 0.175);
    border-width: 1px;
    border-radius: 0.5rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    padding: 0rem;
    --bs-modal-header-padding-x: 1rem;
    --bs-modal-header-padding-y: 1rem;
    --bs-modal-header-padding: 1rem 1rem;
    --bs-modal-header-border-color: var(--bs-border-color);
    --bs-modal-header-border-width: 1px;
    --bs-modal-title-line-height: 1.5;
    --bs-modal-padding: 1rem;
    --bs-modal-footer-gap: 0.5rem;
    --bs-modal-footer-border-width: 1px;
    --bs-modal-footer-border-color: rgba(0, 0, 0, 0.175);
}

.btn-primary, .btn-outline-primary:hover {
    background: linear-gradient(280.75deg, #0078D4 0%, #9692FF 94.81%);
    border: 1px solid #0078D4;
}
.btn-success, .btn-outline-success:hover {
    background: linear-gradient(280.75deg, #00d4b7 0%, #7fd400 94.81%);
    border: 1px solid transparent;
}
.btn-danger, .btn-outline-danger:hover {
    background: linear-gradient(280.75deg, #d40000 0%, #ff9292 94.81%);
    border: 1px solid transparent;
}
.btn-info, .btn-outline-info:hover {
    background: linear-gradient(280.75deg, #0dcaf0 0%, #92c9ff 94.81%);
    border: 1px solid transparent;
}

/**/
.btn-primary:hover {
    background: linear-gradient(280.75deg, #0052d4 0%, #9692FF 94.81%);
}
.btn-success:hover {
    background: linear-gradient(280.75deg, #03baa1 0%, #7fd400 94.81%);
}
.btn-danger:hover {
    background: linear-gradient(280.75deg, #b30101 0%, #ff9292 94.81%);
}
.btn-info:hover {
    background: linear-gradient(280.75deg, #0ca9c8 0%, #92c9ff 94.81%);
}
.modal-backdrop {
    width: 100dvw;
    height: 100dvh;
}

.google-sign-in-btn {
    /* background: linear-gradient(280.75deg, #f1f1f1 0%, #ffffff 94.81%); */
    font-size: 14px;
    height: 40px;
    letter-spacing: 0.25px;
    outline: none;
    overflow: hidden;
    padding: 9px 15px;
    white-space: nowrap;
    width: 100%;
    max-width: 400px;
    border: 1px solid #070707;
    /* border-radius: 30px; */
}
.google-sign-in-btn:hover {
    text-decoration: none;
    border: 1px solid #747775;
    /* -webkit-box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
    box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15); */
    /* background: linear-gradient(280.75deg, #e2e2e2 0%, #f1f1f1 94.81%); */
    background: #f1f1f1;
}
.lang-icon.active {
    box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
}

.m-add-payment {
    right: 0px;
    top: 0px;
    padding: 0px 10px;
    border-radius: 3px;
    cursor: pointer;
}
.m-add-payment:hover {
    background-color: #666;
    color: white;
}
[data-bs-theme=dark] .light-mode {
    display: none !important;
}
[data-bs-theme=light] .dark-mode {
    display: none !important;
}
[data-bs-theme=dark] body {
    background-color: black;
}
[data-bs-theme=light] body {
    background-color: rgb(244, 244, 244);
}
[data-bs-theme=light] .btn-dark-light {
    /* --bs-btn-color: #000; */
    --bs-btn-bg: #f8f9fa;
    /* --bs-btn-border-color: #f8f9fa; */
    /* --bs-btn-hover-color: #000; */
    --bs-btn-hover-bg: #d3d4d5;
    --bs-btn-hover-border-color: #c6c7c8;
    --bs-btn-focus-shadow-rgb: 211, 212, 213;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #c6c7c8;
    --bs-btn-active-border-color: #babbbc;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: #f8f9fa;
    --bs-btn-disabled-border-color: #f8f9fa;
}
[data-bs-theme=dark] .btn-dark-light {
    /* --bs-btn-color: #fff; */
    --bs-btn-bg: #212529;
    /* --bs-btn-border-color: #212529; */
    /* --bs-btn-hover-color: #fff; */
    --bs-btn-hover-bg: #424649;
    --bs-btn-hover-border-color: #373b3e;
    --bs-btn-focus-shadow-rgb: 66, 70, 73;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #4d5154;
    --bs-btn-active-border-color: #373b3e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #212529;
    --bs-btn-disabled-border-color: #212529;
}
.select2-container--default .select2-selection--multiple {
    background-color: transparent !important;
}
[data-bs-theme=dark] .select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #000;
}
[data-bs-theme=light] .select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #e4e4e4;
}
[data-bs-theme=dark] .select2-container--default .select2-selection--single,
[data-bs-theme=dark] .select2-container--default .select2-selection--single .select2-selection__rendered {
    background-color: transparent;
    color: white;
}
[data-bs-theme=light] .select2-container--default .select2-selection--single {
    background-color: transparent;
}
[data-bs-theme=light] .ck.ck-editor__main>.ck-editor__editable{
    --ck-color-base-background: #fff;
}
[data-bs-theme=dark] .ck.ck-editor__main>.ck-editor__editable{
    --ck-color-base-background: transparent;
    --bs-body-color:
}
[data-bs-theme=dark] .fc-theme-standard td,
[data-bs-theme=dark] .fc-theme-standard th {
    --fc-border-color: #575757;
}
[data-bs-theme=dark] .fc .fc-scrollgrid-section-sticky>* {
    --fc-page-bg-color: #212529;
}
[data-bs-theme=light] .table-header{
    background-color: rgba(209, 209, 209, 0.85);
}
[data-bs-theme=dark] .table-header{
    background-color: #000
}
.fc-timegrid-event,
.fc-timegrid-more-link {
    font-size: .85em !important;
}
[data-bs-theme=dark] .fc-theme-standard .fc-list-day-cushion {
    background-color: #0e0e0e;
}
[data-bs-theme=dark] .fc .fc-list-event:hover td {
    background-color: #000;
}
[data-bs-theme=dark] .btn-close {
    filter: invert(0) grayscale(100%) brightness(200%);
}
img.light-mode {
    filter:
        drop-shadow(0px 0px 10px #fff)
        drop-shadow(0px 0px 3px #fff)
        drop-shadow(0px 0px 1px #fff)
        drop-shadow(0px 0px 1px #fff);
}
img.dark-mode {
    filter:
        drop-shadow(0px 0px 1px #fff)
        drop-shadow(0px 0px 1px #fff)
        drop-shadow(0px 0px 1px #fff)
        invert(1);
}
[data-bs-theme=dark] .bg-dark-light {
    background-color: #212529;
}
[data-bs-theme=light] .bg-dark-light {
    background-color: #ffffff;
}
[data-bs-theme=dark] .fc-theme-standard .fc-list,
[data-bs-theme=dark] .fc-theme-standard .fc-scrollgrid {
    border: 1px solid #575757;
}
[data-bs-theme=dark] .fc-timegrid-event-harness-inset .fc-timegrid-event,
[data-bs-theme=dark] .fc-timegrid-event.fc-event-mirror,
[data-bs-theme=dark] .fc-timegrid-more-link {
    box-shadow: 0 0 0 1px #575757;
}
[data-bs-theme=dark] #payment-profile,
[data-bs-theme=dark] #payroll {
    border: #676767 solid 1px;
}
[data-bs-theme=light] #payment-profile,
[data-bs-theme=light] #payroll {
    border: #ddd solid 1px;
}
